import xbmc
import xbmcgui
import xbmcaddon
import common
import config


class ControlID:
        imgLogo = 340
        labelTitle = 341
        btExit = 342

        list = 181


# noinspection PyPep8Naming
class InfoWindow(xbmcgui.WindowXMLDialog):
    def __init__(self, *args, **kwargs):
        super(InfoWindow, self).__init__(self, *args, **kwargs)

    def init(self, title, logoUrl, dictArgs, parentWindow):
        self.title = title
        self.logoUrl = logoUrl
        self.dictArgs = dictArgs
        self.parentWindow = parentWindow
        self.doModal()

    def onInit(self):
        common.log_info("Window open", "infoWindow.onInit")

        super(InfoWindow, self).onInit()
        logoControl = self.getControl(ControlID.imgLogo)
        logoControl.setImage(self.logoUrl)

        title = self.getControl(ControlID.labelTitle)
        title.setLabel(self.title)

        mainList = self.getControl(ControlID.list)
        for k in self.dictArgs:
            li = xbmcgui.ListItem(label=str(k), label2=str(self.dictArgs[k]))
            mainList.addItem(li)

    def onAction(self, action):
        controlID = self.getFocusId()
        if action == xbmcgui.ACTION_SELECT_ITEM or action == xbmcgui.ACTION_MOUSE_LEFT_CLICK:
            if controlID == ControlID.btExit:
                common.log_info("Window close", "infoWindow.onAction")
                self.close()
        # if self.parentWindow is not None:
        #     self.parentWindow.onAction(action)
        # else:
        #     xbmcgui.WindowXMLDialog.onAction(self, action)
        xbmcgui.WindowXMLDialog.onAction(self, action)
