import xbmcgui

import common
from resources.lib.smarty_api import smarty_base_api


class ControlID:
        imgLogo = 340
        labelTitle = 341
        btExit = 342

        list = 181


def open_info_window(args_dict, title=None):
    assert isinstance(args_dict, dict)

    if not title:
        title = common.KODI_ADDON.getLocalizedString(32109)
    skin = common.AddonSettings.get_skin_name()
    window = InfoWindow("smarty.tv.info.xml", common.get_addon_path(), skin)
    window.init(common.KODI_ADDON, args_dict, title)
    del window


# noinspection PyPep8Naming
class InfoWindow(xbmcgui.WindowXMLDialog):
    def __init__(self, *args, **kwargs):
        super(InfoWindow, self).__init__(self, *args, **kwargs)

        self.title = ""
        # self.logoUrl = ""
        self.dictArgs = None

    def init(self, addon, dictArgs, title):
        self.title = title
        # self.logoUrl = common.AddonSettings.get_setting('logoUrl')
        self.dictArgs = dictArgs
        self.doModal()

    def onInit(self):
        common.log_info("Window open", "infoWindow.onInit")

        super(InfoWindow, self).onInit()
        # logoControl = self.getControl(ControlID.imgLogo)
        # logoControl.setImage(self.logoUrl)

        title = self.getControl(ControlID.labelTitle)
        title.setLabel(self.title)

        mainList = self.getControl(ControlID.list)
        for item in self.dictArgs:
            li = xbmcgui.ListItem(label=unicode(item[0]), label2=unicode(item[1]))
            mainList.addItem(li)
        self.setFocusId(ControlID.btExit)

    def onAction(self, action):
        controlID = self.getFocusId()
        if action == xbmcgui.ACTION_SELECT_ITEM or action == xbmcgui.ACTION_MOUSE_LEFT_CLICK:
            if controlID == ControlID.btExit:
                common.log_info("Window close", "infoWindow.onAction")
                self.close()

        xbmcgui.WindowXMLDialog.onAction(self, action)
