import xbmcgui
import common


class ControlID:
        labelMessage = 341
        btCancel = 342

        list = 181


def show_splash_window(message, cancelAction=None):
    window = SplashWindow("smarty.tv.splash.xml", common.get_addon_path(),
                          common.AddonSettings.get_skin_name())
    window.init(common.KODI_ADDON, message, cancelAction)
    return window


# noinspection PyPep8Naming
class SplashWindow(xbmcgui.WindowXMLDialog):
    def __init__(self, *args, **kwargs):
        super(SplashWindow, self).__init__(self, *args, **kwargs)

        self.message = ""
        self.parentAction = None
        self.cancelAction = None

    def init(self, addon, message, cancelAction):
        self.message = message
        self.cancelAction = cancelAction
        
        common.log_info("Window open", "splashMessage.init")
        self.show()
        messageLabel = self.getControl(ControlID.labelMessage)
        messageLabel.setLabel(self.message)

    def onAction(self, action):
        controlID = self.getFocusId()
        if action == xbmcgui.ACTION_SELECT_ITEM or action == xbmcgui.ACTION_MOUSE_LEFT_CLICK:
            if controlID == ControlID.btCancel:
                common.log_info("Window close", "splashMessage.onAction")
                if self.cancelAction is not None:
                    self.cancelAction()
                self.close()

        xbmcgui.WindowXMLDialog.onAction(self, action)
